Name:		highlight
Summary:	Universal source code to formatted text converter

Version:	3.5
Release:	%mkrel 3

Group:		Development/Tools
License:	GPLv3

URL:		http://www.andre-simon.de/
Source0:	http://www.andre-simon.de/zip/%{name}-%{version}.tar.bz2

BuildRequires:	qt4-devel
BuildRequires:	lua5.1-devel
BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils

%{?filter_setup:
%filter_from_provides /^perl(/d;
%filter_from_requires /^perl(/d;
%filter_setup
}

%description
A utility that converts sourcecode to HTML, XHTML, RTF, LaTeX, TeX,
XSL-FO, XML or ANSI escape sequences with syntax highlighting.
It supports several programming and markup languages.
Language descriptions are configurable and support regular expressions.
The utility offers indentation and reformatting capabilities.
It is easily possible to create new language definitions and colour themes.

%package gui
Summary:	GUI for the hihghlight source code formatter
Requires:	%{name} = %{version}-%{release}

%description gui
A Qt-based GUI for the highlight source code formatter source.

%prep

%setup -q

%build
%make
rm -rf src/gui-qt/moc*
%make gui


%install
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/pixmaps

%make install-gui DESTDIR=%{buildroot}

rm -rf %{buildroot}%{_docdir}/%{name}/

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
   highlight.desktop

%files
%{_bindir}/highlight
%{_datadir}/highlight/
%{_mandir}/man1/highlight.1*

%config(noreplace) %{_sysconfdir}/highlight/

%doc ChangeLog AUTHORS README* TODO examples/

%files gui
%{_bindir}/highlight-gui
%{_datadir}/applications/highlight.desktop
%{_datadir}/pixmaps/highlight.xpm



%changelog

* Sun Jan 13 2013 sander85 <sander85> 3.5-3.mga3
+ Revision: 377839
- Switch to lua5.1

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + malo <malo>
    - spec clean-up
    - update RPM group

* Mon Aug 15 2011 colin <colin> 3.5-1.mga2
+ Revision: 133544
- Fix group (again)
- Fix group
- imported package highlight

